// cr_encoding.h - default encodings for cardread and deckview

#define BAD_HOLLERITH	0xFFFF					// invalid Hollerith code

typedef struct {
	unsigned short hollerith;
	char	ascii;
} CPCODE;

// -------------------------------------------------------

#define MAX_ENCODINGS	50			// maximum number of encoding tables
#define MAX_CPCODES		150			// maximum number of entries in an encoding table

typedef struct tag_encoding {
	char   *name;
	CPCODE *table;
	int    length;
} ENCODING;

ENCODING encoding[MAX_ENCODINGS];
int nencodings;

// -------------------------------------------------------

char   hollerith_to_ascii   (ENCODING *encoding, unsigned short h);
USHORT ascii_to_hollerith   (ENCODING *encoding, char a);
void   read_encoding_tables (char *fname, HWND hWnd);
